# Uses of Enum Class
org.apache.sysds.resource.CloudUtils.InstanceFamily

Packages that use CloudUtils.InstanceFamily
Package
Description
org.apache.sysds.resource

## Uses of CloudUtils.InstanceFamily in org.apache.sysds.resource

Methods in org.apache.sysds.resource that return CloudUtils.InstanceFamily
Modifier and Type
Method
Description
`static CloudUtils.InstanceFamily`
CloudUtils.InstanceFamily.`customValueOf(String name)`
`static CloudUtils.InstanceFamily`
CloudUtils.`getInstanceFamily(String instanceName)`
`static CloudUtils.InstanceFamily`
CloudUtils.InstanceFamily.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CloudUtils.InstanceFamily[]`
CloudUtils.InstanceFamily.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.